# PWA Asp.NetCore
A demo to showcase the powerful features of Progressive Web Application with ASP.Net Core 2.0. This demo uses RSS Reader as an idea to intrgrate PWA.   

## What is Progressive Web Application
> Progressive Web Apps are experiences that combine the best of the web and the best of apps. They are useful to users from the very first visit in a browser tab, no install required. As the user progressively builds a relationship with the app over time, it becomes more and more powerful. It loads quickly, even on flaky networks, sends relevant push notifications, has an icon on the home screen, and loads as a top-level, full screen experience. - [Pete LePage](https://developers.google.com/web/fundamentals/getting-started/codelabs/your-first-pwapp/)

# Features!
> These are some of the features can be found in the template
  - [x] [ASP.NET CORE](https://docs.microsoft.com/en-us/aspnet/core/aspnetcore-1.1)
  - [x] Service Worker
  - [x] Web Push Notifications
  - [x] Add to Home Screen (mobile)
  - [x] [Bootstrap](http://getbootstrap.com/)
  - [x] [Webpack 2](https://webpack.js.org/)

# Note
> For the time being add [webpush.netcore](https://github.com/dhananshan/web-push-csharp.netcore) to project reference

### Reference
- [Using Service Workers [developer.mozilla.org]](https://developer.mozilla.org/en-US/docs/Web/API/Service_Worker_API/Using_Service_Workers)
- [Service Workers: an Introduction [developers.google.com]](https://developers.google.com/web/fundamentals/getting-started/primers/service-workers)
